<?php
// START CONTACT SECTION 
$wp_customize->add_section(
	'contact_section',
	array(
		'title'         => __( 'Contact Section', 'Luzuk Premium' ), 
		'panel'   => 'luzuk_premium_home_panel',
	)
);
    //ENABLE/DISABLE CONTACT SECTION
$wp_customize->add_setting(
	'contact_area_disable',
	array(
		'sanitize_callback' => 'luzuk_sanitize_text',
		'default' => 'off'
	)
);
$wp_customize->add_control(
	new luzuk_Switch_Control(
		$wp_customize,
		'contact_area_disable',
		array(
			'settings'      => 'contact_area_disable',
			'section'       => 'contact_section',
			'label'         => __( 'Disable Section', 'Luzuk Premium' ),
			'on_off_label'  => array(
				'on' => __( 'Yes', 'Luzuk Premium' ),
				'off' => __( 'No', 'Luzuk Premium' )
			)   
		)
	)
);


backgroundManager($wp_customize, 'contactbg', 'contact_section', $color='#fff', get_template_directory_uri().'/images/continfbg.png', 'color');

lzCustomLable($wp_customize, 'sec_contactpadding', 'contact_section', 'Section Padding');

$wp_customize->add_setting(
    'contactsection_toppadding',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '3em', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'contactsection_toppadding',
    array(
        'settings'      => 'contactsection_toppadding',
        'section'       => 'contact_section',
        'type'          => 'text',
        'label'         => __( 'Top', 'luzuk-premium' )
    )
);
$wp_customize->add_setting(
    'contactsection_bottompadding',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '6em', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'contactsection_bottompadding',
    array(
        'settings'      => 'contactsection_bottompadding',
        'section'       => 'contact_section',
        'type'          => 'text',
        'label'         => __( 'Bottom', 'luzuk-premium' )
    )
);

lzCustomLable($wp_customize, 'contact_secrhsbx', 'contact_section', 'Section Heading ');

$wp_customize->add_setting(
    'contactform_page_maintitle',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( 'Contact info', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'contactform_page_maintitle',
    array(
        'settings'      => 'contactform_page_maintitle',
        'section'       => 'contact_section',
        'type'          => 'text',
        'label'         => __( 'Section Heading', 'luzuk-premium' )
    )
);

addColorPalatOption($wp_customize, 'contactsarea_eqtitle_color', 'contact_section', 'Section Heading Color', '#15437e');

lzCustomLable($wp_customize, 'contact_lhsimg', 'contact_section', 'Section Left Box');

$wp_customize->add_setting(
    'contact_image2',
    array(
        'sanitize_callback' => 'esc_url_raw'
    )
);
$wp_customize->add_control(
    new WP_Customize_Image_Control(
        $wp_customize,
        'contact_image2',
        array(
            'section' => 'contact_section',
            'settings' => 'contact_image2',
            'description' => __('Recommended Image Size: 220X200px', 'luzuk-premium')
        )
    )
);



$wp_customize->add_setting(
    'contsec_phone',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '111-222-333', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'contsec_phone',
    array(
        'settings'      => 'contsec_phone',
        'section'       => 'contact_section',
        'type'          => 'text',
        'label'         => __( 'Box Phone Number', 'luzuk-premium' )
    )
);


$wp_customize->add_setting(
    'contact_email',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( 'infocontacat@mail.com', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'contact_email',
    array(
        'settings'      => 'contact_email',
        'section'       => 'contact_section',
        'type'          => 'text',
        'label'         => __( 'Box Email Id', 'luzuk-premium' )
    )
);

$wp_customize->add_setting(
    'contact_add',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '5707 Seminary Rd Baileys Crossro New york', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'contact_add',
    array(
        'settings'      => 'contact_add',
        'section'       => 'contact_section',
        'type'          => 'textarea',
        'label'         => __( 'Box Address Text', 'luzuk-premium' )
    )
);

lzCustomLable($wp_customize, 'contact_rhsimg', 'contact_section', 'Section Right Box');

$wp_customize->add_setting(
    'contact_image5',
    array(
        'sanitize_callback' => 'esc_url_raw'
    )
);
$wp_customize->add_control(
    new WP_Customize_Image_Control(
        $wp_customize,
        'contact_image5',
        array(
            'section' => 'contact_section',
            'settings' => 'contact_image5',
            'description' => __('Recommended Image Size: 560X500px', 'luzuk-premium')
        )
    )
);

lzCustomLable($wp_customize, 'contsec_color', 'contact_section', 'Section Color');

addColorPalatOption($wp_customize, 'cont_secdtbxbgclr', 'contact_section', 'Section Details Box BG Color', '#f7f6f6');

addColorPalatOption($wp_customize, 'cont_secdtbxicnclr', 'contact_section', 'Section Details Box Icon Color', '#fff');

addColorPalatOption($wp_customize, 'cont_secdtbxicnbgclr', 'contact_section', 'Section Details Box Icon BG Color', '#1e61b8');

addColorPalatOption($wp_customize, 'cont_secdtbxicntxtclr', 'contact_section', 'Section Details Box Email , Phone No. , Address Test Color', '#1e61b8');

addColorPalatOption($wp_customize, 'cont_secdtbxicntxthvclr', 'contact_section', 'Section Details Box Email , Phone No. Hover Color', '#000');